Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 549980 - Review Request: jama - C++ matrix templates
Summary: Review Request: jama - C++ matrix templates
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 518949
TreeView+ depends on / blocked
 
Reported: 2009-12-23 06:26 UTC by Matt Chan
Modified: 2013-11-28 11:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 07:55:47 UTC
lemenkov: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Matt Chan 2009-12-23 06:26:39 UTC
This package is being requested as a part of the brlcad package. It is being abstracted to clean out external libraries.

Spec URL: http://mattchan.homelinux.net:55555/jama/jama-devel.spec
SRPM URL: http://mattchan.homelinux.net:55555/jama/jama-devel-1.2.5-1.fc12.src.rpm
Description: A set of C++ headers implementing the Java Matrix Library. Contains templates for classical matrix algebra and for a series of matrix decompositions such as LU, QR, SVD, Cholesky methods.

Comment 1 Matt Chan 2009-12-24 04:49:45 UTC
updated spec and SRPM to BuildArch: noarch since package consists of only header files.

Spec URL: http://mattchan.homelinux.net:55555/jama/jama-devel.spec
SRPM URL: http://mattchan.homelinux.net:55555/jama/jama-devel-1.2.5-2.fc12.src.rpm

Comment 2 Peter Lemenkov 2009-12-24 19:32:28 UTC
Unblocking FE-NEEDSPONSOR since I just sponsored Matt.

Comment 3 Peter Lemenkov 2009-12-24 19:34:24 UTC
I'll review it.

Comment 4 Matt Chan 2009-12-26 08:54:51 UTC
Updated package name to jama from jama-devel and included the use of a subpackage from feedback on the tnt package. Also cleaned up the %install section. 

SPEC: http://mattchan.homelinux.net:55555/jama/jama.spec
SRPM: http://mattchan.homelinux.net:55555/jama/jama-1.2.5-2.fc12.src.rpm

Matt

Comment 5 Peter Lemenkov 2009-12-26 10:49:43 UTC
REVIEW:

+ rpmlint is not silent, but his the only warning may be omitted.

[petro@Sulaco SPECS]$ rpmlint ../RPMS/noarch/jama-devel-1.2.5-2.fc12.noarch.rpm 
jama-devel.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[petro@Sulaco SPECS]$

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
0 Upstream doesn't provide the file file, containing the text of the license(s) for the package.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum jama125.zip*
7432bf51d7101f63d5880421f940f64cea124f1460ff2fcfb6226e6744d1360c  jama125.zip
7432bf51d7101f63d5880421f940f64cea124f1460ff2fcfb6226e6744d1360c  jama125.zip.1
[petro@Sulaco SOURCES]$ 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
0 The package doesn't contain %doc files.
+ C header files packaged in devel sub-package.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED.

Comment 6 Peter Lemenkov 2010-01-26 11:33:53 UTC
Ping, Matt!

Comment 7 Peter Lemenkov 2010-04-20 09:30:33 UTC
Ping, again.

Comment 8 Matt Chan 2010-05-18 03:49:36 UTC
New Package CVS Request
=======================
Package Name: jama
Short Description: A collection of C++ matrix templates
Owners: talcite
Branches: F-12 F-13 EL-5
InitialCC:

Comment 9 Dennis Gilmore 2010-05-18 18:38:26 UTC
CVS Done 

Does this need a EL-6 branch also?

Comment 10 Matt Chan 2010-05-18 19:34:31 UTC
Ah! The wiki page didn't mention that EL-6 was an option. Yes, please create one.

Package Change Request
======================
Package Name: jama
New Branches: EL-6
Owners: talcite

Comment 11 Dennis Gilmore 2010-05-18 20:50:08 UTC
CVS Done

Comment 12 Peter Lemenkov 2010-06-01 18:22:43 UTC
Ping, Matt.

Comment 13 Peter Lemenkov 2010-10-18 05:55:08 UTC
Ping, again.

Comment 14 Peter Lemenkov 2010-10-25 11:10:59 UTC
Last ping. I'll close this ticket next week if there will be no answer.

Comment 15 Christopher Meng 2013-11-28 11:29:36 UTC
ping again.


Note You need to log in before you can comment on or make changes to this bug.